## gnome-font-face

gnome-font-face

## Synopsis

    #define             gnome_font_face_ref                 (f)
    #define             gnome_font_face_unref               (f)
    GnomeFontFace*      gnome_font_face_find                (const guchar *name);
    GnomeFontFace*      gnome_font_face_find_closest        (const guchar *name);
    GnomeFontFace*      gnome_font_face_find_closest_from_weight_slant
                                                            (const guchar *family,
                                                             GnomeFontWeight weight,
                                                             gboolean italic);
    GnomeFontFace*      gnome_font_face_find_closest_from_pango_font
                                                            (PangoFont *pfont);
    GnomeFontFace*      gnome_font_face_find_closest_from_pango_description
                                                            (const PangoFontDescription *desc);
    GnomeFontFace*      gnome_font_face_find_from_family_and_style
                                                            (const guchar *family,
                                                             const guchar *style);
    GnomeFontFace*      gnome_font_face_find_from_filename  (const guchar *filename,
                                                             gint index_);
    GnomeFont*          gnome_font_face_get_font            (GnomeFontFace *face,
                                                             gdouble size,
                                                             gdouble xres,
                                                             gdouble yres);
    GnomeFont*          gnome_font_face_get_font_default    (GnomeFontFace *face,
                                                             gdouble size);
    const guchar*       gnome_font_face_get_name            (const GnomeFontFace *face);
    const guchar*       gnome_font_face_get_family_name     (const GnomeFontFace *face);
    const guchar*       gnome_font_face_get_species_name    (const GnomeFontFace *face);
    const guchar*       gnome_font_face_get_ps_name         (const GnomeFontFace *face);
    gint                gnome_font_face_get_num_glyphs      (GnomeFontFace *face);
    gint                gnome_font_face_lookup_default      (GnomeFontFace *face,
                                                             gint unicode);
    const ArtDRect*     gnome_font_face_get_stdbbox         (GnomeFontFace *face);
    ArtDRect*           gnome_font_face_get_glyph_stdbbox   (GnomeFontFace *face,
                                                             gint glyph,
                                                             ArtDRect *bbox);
    ArtPoint*           gnome_font_face_get_glyph_stdadvance
                                                            (GnomeFontFace *face,
                                                             gint glyph,
                                                             ArtPoint *advance);
    const ArtBpath*     gnome_font_face_get_glyph_stdoutline
                                                            (GnomeFontFace *face,
                                                             gint glyph);
    ArtPoint*           gnome_font_face_get_glyph_stdkerning
                                                            (GnomeFontFace *face,
                                                             gint glyph0,
                                                             gint glyph1,
                                                             ArtPoint *kerning);
    const guchar*       gnome_font_face_get_sample          (GnomeFontFace *face);
    GnomeFontWeight     gnome_font_face_get_weight_code     (GnomeFontFace *face);
    gboolean            gnome_font_face_is_italic           (GnomeFontFace *face);
    gboolean            gnome_font_face_is_fixed_width      (GnomeFontFace *face);
    gdouble             gnome_font_face_get_ascender        (GnomeFontFace *face);
    gdouble             gnome_font_face_get_descender       (GnomeFontFace *face);
    gdouble             gnome_font_face_get_underline_position
                                                            (GnomeFontFace *face);
    gdouble             gnome_font_face_get_underline_thickness
                                                            (GnomeFontFace *face);
    gdouble             gnome_font_face_get_glyph_width     (GnomeFontFace *face,
                                                             gint glyph);
    gdouble             gnome_font_face_get_glyph_kerning   (GnomeFontFace *face,
                                                             gint glyph1,
                                                             gint glyph2);
    const guchar*       gnome_font_face_get_glyph_ps_name   (GnomeFontFace *face,
                                                             gint glyph);

## Description

## Details

### gnome_font_face_ref()

    #define             gnome_font_face_ref(f)

`f` : |

### gnome_font_face_unref()

    #define             gnome_font_face_unref(f)

`f` : |

### gnome_font_face_find ()

    GnomeFontFace*      gnome_font_face_find                (const guchar *name);

`name` : |
Returns : |

### gnome_font_face_find_closest ()

    GnomeFontFace*      gnome_font_face_find_closest        (const guchar *name);

`name` : |
Returns : |

### gnome_font_face_find_closest_from_weight_slant ()

    GnomeFontFace*      gnome_font_face_find_closest_from_weight_slant
                                                            (const guchar *family,
                                                             GnomeFontWeight weight,
                                                             gboolean italic);

`family` : |
`weight` : |
`italic` : |
Returns : |

### gnome_font_face_find_closest_from_pango_font ()

    GnomeFontFace*      gnome_font_face_find_closest_from_pango_font
                                                            (PangoFont *pfont);

`pfont` : |
Returns : |

### gnome_font_face_find_closest_from_pango_description ()

    GnomeFontFace*      gnome_font_face_find_closest_from_pango_description
                                                            (const PangoFontDescription *desc);

`desc` : |
Returns : |

### gnome_font_face_find_from_family_and_style ()

    GnomeFontFace*      gnome_font_face_find_from_family_and_style
                                                            (const guchar *family,
                                                             const guchar *style);

`family` : |
`style` : |
Returns : |

### gnome_font_face_find_from_filename ()

    GnomeFontFace*      gnome_font_face_find_from_filename  (const guchar *filename,
                                                             gint index_);

Looks up the GnomeFontFace for a particular pair of filename and index of the font within the file. The font must already be within the system font database; this can't be used to access arbitrary fonts on disk.

`filename` : | filename of a font face in the system font database
`index_` : | index of the face within `filename`. (Font formats such as TTC/TrueType Collections can have multiple fonts within a single file.
Returns : | the matching GnomeFontFace, if any, otherwise `NULL`

### gnome_font_face_get_font ()

    GnomeFont*          gnome_font_face_get_font            (GnomeFontFace *face,
                                                             gdouble size,
                                                             gdouble xres,
                                                             gdouble yres);

`face` : |
`size` : |
`xres` : |
`yres` : |
Returns : |

### gnome_font_face_get_font_default ()

    GnomeFont*          gnome_font_face_get_font_default    (GnomeFontFace *face,
                                                             gdouble size);

`face` : |
`size` : |
Returns : |

### gnome_font_face_get_name ()

    const guchar*       gnome_font_face_get_name            (const GnomeFontFace *face);

Return the name of the Font

`face` : |
Returns : | a const pointer to the name, NULL on error

### gnome_font_face_get_family_name ()

    const guchar*       gnome_font_face_get_family_name     (const GnomeFontFace *face);

Get the family name

`face` : |
Returns : | a const pointer to the family name, NULL on error

### gnome_font_face_get_species_name ()

    const guchar*       gnome_font_face_get_species_name    (const GnomeFontFace *face);

Get the species name of the font

`face` : |
Returns : | a const pointer to the species name, NULL on error

### gnome_font_face_get_ps_name ()

    const guchar*       gnome_font_face_get_ps_name         (const GnomeFontFace *face);

The postscript name of the font. This is the name with which the font is embeded inside Postscript/PDF jobs.

`face` : |
Returns : | a const pointer to the name, NULL on error

### gnome_font_face_get_num_glyphs ()

    gint                gnome_font_face_get_num_glyphs      (GnomeFontFace *face);

Returns the number of glyphs in the font

`face` : |
Returns : | number of glyphs, 0 on error

### gnome_font_face_lookup_default ()

    gint                gnome_font_face_lookup_default      (GnomeFontFace *face,
                                                             gint unicode);

`face` : |
`unicode` : |
Returns : |

### gnome_font_face_get_stdbbox ()

    const ArtDRect*     gnome_font_face_get_stdbbox         (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_get_glyph_stdbbox ()

    ArtDRect*           gnome_font_face_get_glyph_stdbbox   (GnomeFontFace *face,
                                                             gint glyph,
                                                             ArtDRect *bbox);

`face` : |
`glyph` : |
`bbox` : |
Returns : |

### gnome_font_face_get_glyph_stdadvance ()

    ArtPoint*           gnome_font_face_get_glyph_stdadvance
                                                            (GnomeFontFace *face,
                                                             gint glyph,
                                                             ArtPoint *advance);

`face` : |
`glyph` : |
`advance` : |
Returns : |

### gnome_font_face_get_glyph_stdoutline ()

    const ArtBpath*     gnome_font_face_get_glyph_stdoutline
                                                            (GnomeFontFace *face,
                                                             gint glyph);

`face` : |
`glyph` : |
Returns : |

### gnome_font_face_get_glyph_stdkerning ()

    ArtPoint*           gnome_font_face_get_glyph_stdkerning
                                                            (GnomeFontFace *face,
                                                             gint glyph0,
                                                             gint glyph1,
                                                             ArtPoint *kerning);

`face` : |
`glyph0` : |
`glyph1` : |
`kerning` : |
Returns : |

### gnome_font_face_get_sample ()

    const guchar*       gnome_font_face_get_sample          (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_get_weight_code ()

    GnomeFontWeight     gnome_font_face_get_weight_code     (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_is_italic ()

    gboolean            gnome_font_face_is_italic           (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_is_fixed_width ()

    gboolean            gnome_font_face_is_fixed_width      (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_get_ascender ()

    gdouble             gnome_font_face_get_ascender        (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_get_descender ()

    gdouble             gnome_font_face_get_descender       (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_get_underline_position ()

    gdouble             gnome_font_face_get_underline_position
                                                            (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_get_underline_thickness ()

    gdouble             gnome_font_face_get_underline_thickness
                                                            (GnomeFontFace *face);

`face` : |
Returns : |

### gnome_font_face_get_glyph_width ()

    gdouble             gnome_font_face_get_glyph_width     (GnomeFontFace *face,
                                                             gint glyph);

`face` : |
`glyph` : |
Returns : |

### gnome_font_face_get_glyph_kerning ()

    gdouble             gnome_font_face_get_glyph_kerning   (GnomeFontFace *face,
                                                             gint glyph1,
                                                             gint glyph2);

`face` : |
`glyph1` : |
`glyph2` : |
Returns : |

### gnome_font_face_get_glyph_ps_name ()

    const guchar*       gnome_font_face_get_glyph_ps_name   (GnomeFontFace *face,
                                                             gint glyph);

`face` : |
`glyph` : |
Returns : |